Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/py-twitter: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 24 Dec 2014 01:39:48 -0600

---
 testing/py-twitter/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-twitter/APKBUILD
diff --git a/testing/py-twitter/APKBUILD b/testing/py-twitter/APKBUILD
new file mode 100644
index 0000000..deef255
--- /dev/null
+++ b/testing/py-twitter/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-twitter
+_pkgname=python-twitter
+pkgver=2.0
+pkgrel=0
+pkgdesc="Python wrapper around the Twitter API'"
+url="https://pypi.python.org/pypi/python-twitter"
+arch="noarch"
+license="Apache"
+depends="python py-httplib2 py-simplejson py-oauth2 py-requests-oauthlib"
+depends_dev="python-dev py-setuptools"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a232cac55f121509da7fc2db15ef9614  python-twitter-2.0.tar.gz"
+sha256sums="abbcd9fc95f58f8ba7c0c122af2f6cf249e4e30ead755dab3c4f87afd7e1c8bc  python-twitter-2.0.tar.gz"
+sha512sums="0966224f6b0cc2f1485568247a2cf2564f443cbb6fec3126bd1be5b513de0246ec16a2b70cc33a473b270c76f9f86463a6344b48173a49d3f5e71873ba3cd4e9  python-twitter-2.0.tar.gz"
-- 
2.2.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Dec 24 2014 - 01:39:48 GMT